#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0xcc4ee136, "module_layout" },
	{ 0xb78c61e8, "param_ops_bool" },
	{ 0xea13377c, "bus_register" },
	{ 0x466b85b8, "libceph_compatible" },
	{ 0x32775358, "kmem_cache_create" },
	{ 0x1554c75f, "bus_unregister" },
	{ 0x27093ead, "kmem_cache_destroy" },
	{ 0x86b662ed, "ceph_pg_poolid_by_name" },
	{ 0x216f6b88, "local_per_cpu_offset" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0xb374889c, "add_disk" },
	{ 0xce0a4887, "device_register" },
	{ 0xed76457e, "dev_set_name" },
	{ 0x71a50dbc, "register_blkdev" },
	{ 0xc86c72d, "ida_simple_get" },
	{ 0xb6c98e7, "ida_simple_remove" },
	{ 0x1be7069, "blk_cleanup_queue" },
	{ 0x95f3904f, "del_gendisk" },
	{ 0x54c22b0d, "ceph_client_id" },
	{ 0xb94c9976, "__blk_end_request_all" },
	{ 0x4ac2949d, "blk_fetch_request" },
	{ 0x6276d88a, "set_device_ro" },
	{ 0x2598e57, "get_device" },
	{ 0x4920ae4a, "put_device" },
	{ 0x41af15c6, "put_disk" },
	{ 0x4e3dd093, "blk_queue_merge_bvec" },
	{ 0xd50e4317, "blk_queue_io_opt" },
	{ 0xfc33f791, "blk_queue_io_min" },
	{ 0xb59c2b34, "blk_queue_max_segment_size" },
	{ 0x2a3dd1e2, "blk_queue_max_hw_sectors" },
	{ 0xd5b8f557, "blk_queue_physical_block_size" },
	{ 0x84eea930, "blk_init_queue" },
	{ 0x154c5e05, "alloc_disk" },
	{ 0xb8f040b6, "ceph_pg_pool_name_by_id" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc499ae1e, "kstrdup" },
	{ 0x3c2c5af5, "sprintf" },
	{ 0xf0570a9, "__init_rwsem" },
	{ 0xe77abb4d, "ceph_compare_options" },
	{ 0x8dd031cb, "mutex_unlock" },
	{ 0x2b4ef725, "mutex_lock" },
	{ 0x8915cacd, "ceph_destroy_options" },
	{ 0xe153fcea, "ceph_open_session" },
	{ 0x7108f1cc, "ceph_create_client" },
	{ 0x44e9a829, "match_token" },
	{ 0x87184f5b, "ceph_parse_options" },
	{ 0x8b7fe311, "kmemdup" },
	{ 0xafe82e10, "strcspn" },
	{ 0x3fa913da, "strspn" },
	{ 0xd53c07f9, "ceph_destroy_client" },
	{ 0x7dd7d1a4, "revalidate_disk" },
	{ 0xc2bb10b0, "up_write" },
	{ 0x8f99d2f4, "down_write" },
	{ 0xc7ec28b0, "memcmp" },
	{ 0xdc727ade, "osd_req_op_cls_request_data_pages" },
	{ 0xcdfc0586, "module_put" },
	{ 0x646e23b0, "device_unregister" },
	{ 0x602c2eb8, "ceph_osdc_flush_notifies" },
	{ 0xc4097c34, "_raw_spin_lock" },
	{ 0x3c80c06c, "kstrtoull" },
	{ 0xe551272c, "_raw_spin_lock_irq" },
	{ 0xa6268fea, "blk_end_request" },
	{ 0xcd4275ae, "osd_req_op_extent_osd_data_bio" },
	{ 0x9edbecae, "snprintf" },
	{ 0xf6e4a134, "up_read" },
	{ 0x6b2e3bcd, "ceph_get_snap_context" },
	{ 0x6647bd54, "down_read" },
	{ 0x55678b4b, "bsearch" },
	{ 0x4d924f39, "osd_req_op_cls_response_data_pages" },
	{ 0x9e9a1be0, "osd_req_op_cls_request_data_pagelist" },
	{ 0xd64bec4b, "ceph_pagelist_append" },
	{ 0x6683301c, "osd_req_op_cls_init" },
	{ 0xcc07af75, "strnlen" },
	{ 0x3f688151, "ceph_put_snap_context" },
	{ 0xae3515ba, "ceph_create_snap_context" },
	{ 0x3c04ef9e, "ceph_copy_from_page_vector" },
	{ 0x774de681, "osd_req_op_extent_osd_data_pages" },
	{ 0x6173e2f8, "osd_req_op_extent_init" },
	{ 0xbab7264, "ceph_osdc_create_event" },
	{ 0x36dfe61f, "ceph_osdc_cancel_event" },
	{ 0x6a7f213, "osd_req_op_watch_init" },
	{ 0x75e198a5, "ceph_osdc_unregister_linger_request" },
	{ 0x6df0dbb, "ceph_osdc_set_request_linger" },
	{ 0xe3f0223, "wait_for_completion_interruptible" },
	{ 0xee4ccfa9, "osd_req_op_raw_data_in_pages" },
	{ 0x13d0ae77, "osd_req_op_init" },
	{ 0x458fa49, "ceph_alloc_page_vector" },
	{ 0x5728912e, "ceph_osdc_start_request" },
	{ 0x67053080, "current_kernel_time" },
	{ 0x98c06a8, "complete_all" },
	{ 0x3fa03a97, "memset" },
	{ 0x774bdef2, "vmem_map" },
	{ 0x9eddce27, "bio_put" },
	{ 0x1a23b438, "ceph_release_page_vector" },
	{ 0x644d8f63, "kmem_cache_free" },
	{ 0xd5b037e1, "kref_put" },
	{ 0x197effcb, "ceph_osdc_release_request" },
	{ 0x9826b87, "ceph_osdc_build_request" },
	{ 0x16305289, "warn_slowpath_null" },
	{ 0x275c016e, "bio_clone" },
	{ 0x2f70bdaf, "bio_alloc" },
	{ 0x9775cdc, "kref_get" },
	{ 0x8d66a3a, "warn_slowpath_fmt" },
	{ 0xf20d2f31, "ceph_osdc_alloc_request" },
	{ 0x4588bf0f, "__dynamic_pr_debug" },
	{ 0xfc6e8775, "__init_waitqueue_head" },
	{ 0x6067a146, "memcpy" },
	{ 0x5a34a45c, "__kmalloc" },
	{ 0xdcb5671d, "strlen" },
	{ 0x83800bfa, "kref_init" },
	{ 0x2598224c, "kmem_cache_alloc" },
	{ 0xf97f40b7, "malloc_sizes" },
	{ 0x37a0cba, "kfree" },
	{ 0x200d26de, "printk" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=libceph";


MODULE_INFO(srcversion, "BAFCCE208771F757A698D94");
