#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0xcc4ee136, "module_layout" },
	{ 0xb78c61e8, "param_ops_bool" },
	{ 0x501bc29d, "usb_register_driver" },
	{ 0xcc830377, "usb_set_interface" },
	{ 0xab1fe390, "usb_autopm_put_interface" },
	{ 0x9656e879, "usb_autopm_get_interface" },
	{ 0xc4097c34, "_raw_spin_lock" },
	{ 0x5bac2d60, "kfree_skb" },
	{ 0x8ddab831, "_raw_spin_unlock_irqrestore" },
	{ 0x1a9b678e, "_raw_spin_lock_irqsave" },
	{ 0xfcb6e5e5, "skb_queue_tail" },
	{ 0x7c54b28a, "skb_put" },
	{ 0xc4787cc0, "__alloc_skb" },
	{ 0xb652a273, "usb_match_id" },
	{ 0xbc33e219, "hci_register_dev" },
	{ 0xd7c1ddfd, "usb_driver_claim_interface" },
	{ 0xd69043a, "usb_ifnum_to_if" },
	{ 0xd2f2bb54, "hci_alloc_dev" },
	{ 0xfc6e8775, "__init_waitqueue_head" },
	{ 0x37a0cba, "kfree" },
	{ 0x82816598, "hci_free_dev" },
	{ 0xd0423354, "usb_driver_release_interface" },
	{ 0x8660aaf4, "hci_unregister_dev" },
	{ 0xf34e784f, "dev_set_drvdata" },
	{ 0x88bfa7e, "cancel_work_sync" },
	{ 0xe270ac5e, "usb_kill_anchored_urbs" },
	{ 0xf18f2b13, "usb_scuttle_anchored_urbs" },
	{ 0xd9e81142, "usb_get_from_anchor" },
	{ 0xe551272c, "_raw_spin_lock_irq" },
	{ 0x32fea406, "dev_get_drvdata" },
	{ 0xe26c7747, "hci_recv_fragment" },
	{ 0x7d11c268, "jiffies" },
	{ 0x2598224c, "kmem_cache_alloc" },
	{ 0xf97f40b7, "malloc_sizes" },
	{ 0x200d26de, "printk" },
	{ 0x73311098, "usb_unanchor_urb" },
	{ 0xa2375cf4, "usb_free_urb" },
	{ 0x9a3ee92a, "usb_submit_urb" },
	{ 0xac0d050f, "usb_anchor_urb" },
	{ 0x5a34a45c, "__kmalloc" },
	{ 0xcf67fa10, "usb_alloc_urb" },
	{ 0x4588bf0f, "__dynamic_pr_debug" },
	{ 0xf89843f9, "schedule_work" },
	{ 0xa6433a4c, "usb_deregister" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbcore,bluetooth";

MODULE_ALIAS("usb:v*p*d*dcE0dsc01dp01ic*isc*ip*");
MODULE_ALIAS("usb:v05ACp*d*dc*dsc*dp*icFFisc01ip01*");
MODULE_ALIAS("usb:v0A5Cp21E1d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0E8Dp763Fd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05ACp8213d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05ACp8215d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05ACp8218d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05ACp821Bd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05ACp821Fd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05ACp821Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05ACp8281d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v057Cp3800d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v04BFp030Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v044Ep3001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v044Ep3002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0BDBp1002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0A5Cp21E3d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0C10p0000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0489pE042d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v413Cp8197d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0489pE033d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0A5Cp*d*dc*dsc*dp*icFFisc01ip01*");

MODULE_INFO(srcversion, "1CF67628C7819A6E685F89F");
