#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0xcc4ee136, "module_layout" },
	{ 0x29a6d7e3, "usbnet_resume" },
	{ 0x52339b3c, "usbnet_suspend" },
	{ 0xc1b75879, "usbnet_disconnect" },
	{ 0xaaae9fc6, "usbnet_probe" },
	{ 0x8dfe730, "eth_mac_addr" },
	{ 0x37e5c022, "usbnet_nway_reset" },
	{ 0x8cba7252, "usbnet_set_msglevel" },
	{ 0x5d9514e5, "usbnet_get_msglevel" },
	{ 0xe628ddb2, "usbnet_set_settings" },
	{ 0x26dd838d, "usbnet_get_settings" },
	{ 0x6bb30cfa, "usbnet_tx_timeout" },
	{ 0x545fd8c9, "usbnet_change_mtu" },
	{ 0x1003a337, "eth_validate_addr" },
	{ 0xffe06029, "usbnet_start_xmit" },
	{ 0xaaf68c7b, "usbnet_stop" },
	{ 0xca4bc2a3, "usbnet_open" },
	{ 0x501bc29d, "usb_register_driver" },
	{ 0xa6433a4c, "usb_deregister" },
	{ 0x9ab03fd1, "netif_carrier_off" },
	{ 0x92b5b998, "usbnet_defer_kevent" },
	{ 0x2e896698, "netif_carrier_on" },
	{ 0x2e11b9db, "usbnet_unlink_rx_urbs" },
	{ 0x8320bea8, "__umodsi3" },
	{ 0x1fee9c1a, "usbnet_skb_return" },
	{ 0x1afea8dd, "skb_clone" },
	{ 0x862406d6, "skb_pull" },
	{ 0x5dbbe98e, "memmove" },
	{ 0x7c54b28a, "skb_put" },
	{ 0x97aa0c55, "skb_push" },
	{ 0x6b31d0fc, "__dev_kfree_skb_any" },
	{ 0x4da2764, "skb_copy_expand" },
	{ 0xa39b4cf2, "udelay" },
	{ 0xfaf98462, "bitrev32" },
	{ 0x92ea4ae4, "crc32_le" },
	{ 0x200d26de, "printk" },
	{ 0xa2375cf4, "usb_free_urb" },
	{ 0x9a3ee92a, "usb_submit_urb" },
	{ 0x2598224c, "kmem_cache_alloc" },
	{ 0xf97f40b7, "malloc_sizes" },
	{ 0xcf67fa10, "usb_alloc_urb" },
	{ 0xfc89176f, "generic_mii_ioctl" },
	{ 0x4f6a3f9c, "usbnet_get_drvinfo" },
	{ 0xd40cb3c, "mii_link_ok" },
	{ 0xa57ce106, "usbnet_get_endpoints" },
	{ 0x390a5cc8, "mii_nway_restart" },
	{ 0x8dd031cb, "mutex_unlock" },
	{ 0x2b4ef725, "mutex_lock" },
	{ 0x6067a146, "memcpy" },
	{ 0x5a34a45c, "__kmalloc" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc5279b58, "mii_ethtool_gset" },
	{ 0x86803e1e, "mii_check_media" },
	{ 0xe9bfb561, "netdev_err" },
	{ 0xad1be113, "dev_printk" },
	{ 0x8b7fe311, "kmemdup" },
	{ 0x37a0cba, "kfree" },
	{ 0x8b3d7805, "usb_control_msg" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbnet,usbcore";

MODULE_ALIAS("usb:v077Bp2226d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0846p1040d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2001p1A00d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B95p1720d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07B8p420Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v08DDp90FFd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0557p2009d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p003Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p006Ed*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v6189p182Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DF6p0056d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07AAp0017d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1189p0893d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1631p6200d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v04F1p3008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B95p772Bd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B95p7720d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B95p1780d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0789p0160d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v13B1p0018d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1557p7720d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07D1p3C05d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2001p3C05d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2001p1A02d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1737p0039d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v04BBp0930d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v050Dp5055d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05ACp1402d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B95p772Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v14EApAB11d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DB0pA877d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B95p7E2Bd*dc*dsc*dp*ic*isc*ip*");

MODULE_INFO(srcversion, "A2AD01FD63A6AC1A0975E1C");
