#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0xcc4ee136, "module_layout" },
	{ 0xfd6293c2, "boot_tvec_bases" },
	{ 0xc3fe87c8, "param_ops_uint" },
	{ 0xae46f6b7, "led_trigger_register_simple" },
	{ 0x501bc29d, "usb_register_driver" },
	{ 0x9545af6d, "tasklet_init" },
	{ 0xfb0e29f, "init_timer_key" },
	{ 0x7482d1f3, "__mutex_init" },
	{ 0x7df6101e, "ieee80211_alloc_hw" },
	{ 0x59acf8ca, "usb_get_dev" },
	{ 0xde980140, "ieee80211_register_hw" },
	{ 0x9edbecae, "snprintf" },
	{ 0xcf67fa10, "usb_alloc_urb" },
	{ 0x27db5d6b, "ieee80211_scan_completed" },
	{ 0xb0084688, "ieee80211_rx_irqsafe" },
	{ 0x862406d6, "skb_pull" },
	{ 0x2576e8a5, "ieee80211_wake_queues" },
	{ 0x94881e2f, "ieee80211_tx_status_irqsafe" },
	{ 0x6b31d0fc, "__dev_kfree_skb_any" },
	{ 0x16305289, "warn_slowpath_null" },
	{ 0xfaef0ed, "__tasklet_schedule" },
	{ 0xfabcc092, "dev_alloc_skb" },
	{ 0x9a3ee92a, "usb_submit_urb" },
	{ 0x7c54b28a, "skb_put" },
	{ 0x379089ed, "skb_trim" },
	{ 0x97aa0c55, "skb_push" },
	{ 0x88bfa7e, "cancel_work_sync" },
	{ 0x87fa4bc1, "ieee80211_queue_work" },
	{ 0x3fa03a97, "memset" },
	{ 0x8c01fd5, "dev_err" },
	{ 0xb51004ca, "ieee80211_queue_delayed_work" },
	{ 0x14550cde, "ieee80211_stop_queues" },
	{ 0x45704798, "print_hex_dump_bytes" },
	{ 0x5a34a45c, "__kmalloc" },
	{ 0x5b2f5e3b, "usb_reset_device" },
	{ 0x3bd1b1f6, "msecs_to_jiffies" },
	{ 0x9c55cec, "schedule_timeout_interruptible" },
	{ 0x6067a146, "memcpy" },
	{ 0x8b3d7805, "usb_control_msg" },
	{ 0x2598224c, "kmem_cache_alloc" },
	{ 0xf97f40b7, "malloc_sizes" },
	{ 0xe71e8b0a, "request_firmware" },
	{ 0x8dd031cb, "mutex_unlock" },
	{ 0x2b4ef725, "mutex_lock" },
	{ 0x8834396c, "mod_timer" },
	{ 0x7d11c268, "jiffies" },
	{ 0xbe8258f2, "led_trigger_event" },
	{ 0xad1be113, "dev_printk" },
	{ 0x8d21bfc9, "_dev_info" },
	{ 0xf34e784f, "dev_set_drvdata" },
	{ 0x32fea406, "dev_get_drvdata" },
	{ 0x29fad40c, "ieee80211_unregister_hw" },
	{ 0x5020368, "ieee80211_free_hw" },
	{ 0xe47ca231, "usb_put_dev" },
	{ 0x5bac2d60, "kfree_skb" },
	{ 0xd5f2172f, "del_timer_sync" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2375cf4, "usb_free_urb" },
	{ 0x7b1100b1, "usb_kill_urb" },
	{ 0x82072614, "tasklet_kill" },
	{ 0x5d4e00f9, "led_trigger_unregister_simple" },
	{ 0xa837499c, "release_firmware" },
	{ 0xa6433a4c, "usb_deregister" },
	{ 0x200d26de, "printk" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbcore,mac80211";

MODULE_ALIAS("usb:v03EBp7603d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v066Bp2211d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0864p4100d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B3Bp1612d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v03F0p011Cd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0CDEp0001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v069Ap0320d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0D5CpA001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v04A5p9000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05DDpFF31d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v8086p0200d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0D8Ep7100d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0D8Ep7110d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v04BBp0919d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v069Ap0821d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v03EBp7604d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v055DpA000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v03EBp7605d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v069Ap0321d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v077Bp2219d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v077Bp2227d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0864p4102d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2001p3200d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1668p7605d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v03EBp4102d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1371p5743d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1371p0001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1371p0002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v04A5p9001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0506p0A01d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0681p001Bd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v050Dp0050d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07B8pB000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1044p8003d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2019p3220d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v049Fp0032d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07AAp0011d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07AAp0018d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05DDpFF35d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v083Ap3501d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0D5CpA002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v03EBp7606d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v03EBp7613d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1371p0014d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1371p0013d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1915p2233d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v12FDp1001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07AAp7613d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DB0p1020d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v03EBp7614d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v03EBp7617d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1690p0701d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1557p0002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v03EBp7615d*dc*dsc*dp*ic*isc*ip*");

MODULE_INFO(srcversion, "3FFB6B2B366880381860346");
