#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0xcc4ee136, "module_layout" },
	{ 0x501bc29d, "usb_register_driver" },
	{ 0x97aa0c55, "skb_push" },
	{ 0x862406d6, "skb_pull" },
	{ 0xfabcc092, "dev_alloc_skb" },
	{ 0x988ee138, "__dev_kfree_skb_irq" },
	{ 0x379089ed, "skb_trim" },
	{ 0x902b38f1, "p54_rx" },
	{ 0x7c54b28a, "skb_put" },
	{ 0xe33c5e28, "p54_register_common" },
	{ 0x757047f4, "p54_read_eeprom" },
	{ 0xec07255e, "p54_parse_firmware" },
	{ 0xe71e8b0a, "request_firmware" },
	{ 0x8dd031cb, "mutex_unlock" },
	{ 0x5b2f5e3b, "usb_reset_device" },
	{ 0xb03f65cf, "usb_lock_device_for_reset" },
	{ 0x59acf8ca, "usb_get_dev" },
	{ 0xfc6e8775, "__init_waitqueue_head" },
	{ 0xf34e784f, "dev_set_drvdata" },
	{ 0x9abb20d4, "p54_init_common" },
	{ 0xfbbb7bcd, "skb_unlink" },
	{ 0x5bac2d60, "kfree_skb" },
	{ 0xfcb6e5e5, "skb_queue_tail" },
	{ 0xc4787cc0, "__alloc_skb" },
	{ 0xc7ec28b0, "memcmp" },
	{ 0x3bd1b1f6, "msecs_to_jiffies" },
	{ 0x7d11c268, "jiffies" },
	{ 0x92ea4ae4, "crc32_le" },
	{ 0x8b7fe311, "kmemdup" },
	{ 0xd69043a, "usb_ifnum_to_if" },
	{ 0x376edfd3, "p54_free_skb" },
	{ 0x73311098, "usb_unanchor_urb" },
	{ 0xa2375cf4, "usb_free_urb" },
	{ 0x9a3ee92a, "usb_submit_urb" },
	{ 0xac0d050f, "usb_anchor_urb" },
	{ 0x3fa03a97, "memset" },
	{ 0xcf67fa10, "usb_alloc_urb" },
	{ 0x8c01fd5, "dev_err" },
	{ 0xac611b68, "usb_interrupt_msg" },
	{ 0x6067a146, "memcpy" },
	{ 0xa39b4cf2, "udelay" },
	{ 0x37a0cba, "kfree" },
	{ 0x2598224c, "kmem_cache_alloc" },
	{ 0xf97f40b7, "malloc_sizes" },
	{ 0xcc4d8dad, "usb_bulk_msg" },
	{ 0xd425b57, "p54_free_common" },
	{ 0xa837499c, "release_firmware" },
	{ 0xe47ca231, "usb_put_dev" },
	{ 0xe482cf0e, "p54_unregister_common" },
	{ 0xe270ac5e, "usb_kill_anchored_urbs" },
	{ 0x2a6a11fa, "ieee80211_restart_hw" },
	{ 0x32fea406, "dev_get_drvdata" },
	{ 0xa6433a4c, "usb_deregister" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbcore,p54common,mac80211";

MODULE_ALIAS("usb:v0411p0050d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v045Ep00C2d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0506p0A11d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0675p0530d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06B9p0120d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0707pEE06d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07AAp001Cd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v083Ap4501d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v083Ap4502d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v083Ap5501d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0846p4200d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0846p4210d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0846p4220d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v09AAp1000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0BF8p1007d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0CDEp0006d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DB0p6826d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v107Bp55F2d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v124Ap4023d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1435p0210d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v15A9p0002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1630p0005d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v182Dp096Bd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1915p2234d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1915p2235d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2001p3701d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2001p3703d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2001p3762d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v5041p2234d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v5041p2235d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0471p1230d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v050Dp7050d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0572p2000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0572p2002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06A9p000Ed*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06B9p0121d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0707pEE13d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07AAp0020d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0803p4310d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v083Ap4521d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v083Ap4531d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v083ApC501d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v083ApF503d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0846p4240d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0915p2000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0915p2002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0BAFp0118d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0BF8p1009d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0CDEp0008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0CDEp0015d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0D8Ep3762d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v124Ap4025d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1260pEE22d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v13B1p000Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v13B1p000Cd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1413p5400d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1435p0427d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1668p1050d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1740p1000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2001p3704d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2001p3705d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v413Cp5513d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v413Cp8102d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v413Cp8104d*dc*dsc*dp*ic*isc*ip*");

MODULE_INFO(srcversion, "88193EBE86AF81B4A9E7A10");
