#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0xcc4ee136, "module_layout" },
	{ 0xcafac00b, "rndis_tx_fixup" },
	{ 0x86ea81c2, "rndis_rx_fixup" },
	{ 0xdca15567, "rndis_status" },
	{ 0x29a6d7e3, "usbnet_resume" },
	{ 0x52339b3c, "usbnet_suspend" },
	{ 0xc1b75879, "usbnet_disconnect" },
	{ 0xaaae9fc6, "usbnet_probe" },
	{ 0x6bb30cfa, "usbnet_tx_timeout" },
	{ 0x1003a337, "eth_validate_addr" },
	{ 0x8dfe730, "eth_mac_addr" },
	{ 0xffe06029, "usbnet_start_xmit" },
	{ 0xaaf68c7b, "usbnet_stop" },
	{ 0xca4bc2a3, "usbnet_open" },
	{ 0x810b3618, "param_ops_string" },
	{ 0x3ec8886f, "param_ops_int" },
	{ 0x501bc29d, "usb_register_driver" },
	{ 0xa6433a4c, "usb_deregister" },
	{ 0xbc8dde29, "cfg80211_disconnected" },
	{ 0x16305289, "warn_slowpath_null" },
	{ 0x77c7a497, "cfg80211_roamed" },
	{ 0x52282e13, "cfg80211_ibss_joined" },
	{ 0xc34dc2e4, "cfg80211_connect_result" },
	{ 0x2e896698, "netif_carrier_on" },
	{ 0x938b778d, "cfg80211_cqm_rssi_notify" },
	{ 0x2598224c, "kmem_cache_alloc" },
	{ 0xf97f40b7, "malloc_sizes" },
	{ 0x3bd1b1f6, "msecs_to_jiffies" },
	{ 0x9ab03fd1, "netif_carrier_off" },
	{ 0x4f0c83fb, "wiphy_register" },
	{ 0x6f982b18, "generic_rndis_bind" },
	{ 0xfb0e29f, "init_timer_key" },
	{ 0x88a193, "__alloc_workqueue_key" },
	{ 0x7482d1f3, "__mutex_init" },
	{ 0xf652276d, "wiphy_new" },
	{ 0xe9bfb561, "netdev_err" },
	{ 0x172fcfc0, "usbnet_resume_rx" },
	{ 0x705c820a, "usbnet_purge_paused_rxq" },
	{ 0x9c64fbd, "ieee80211_frequency_to_channel" },
	{ 0x200d26de, "printk" },
	{ 0x6b7bed76, "cfg80211_inform_bss" },
	{ 0xc059a33e, "__ieee80211_get_channel" },
	{ 0xa886a958, "krealloc" },
	{ 0xe6368746, "wiphy_free" },
	{ 0x538a0d39, "wiphy_unregister" },
	{ 0xdd169e36, "rndis_unbind" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x57c4691b, "queue_delayed_work" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xc73dd955, "_raw_spin_unlock_bh" },
	{ 0x3b502f70, "_raw_spin_lock_bh" },
	{ 0xc683a12e, "cfg80211_scan_done" },
	{ 0x42160169, "flush_workqueue" },
	{ 0x88bfa7e, "cancel_work_sync" },
	{ 0xfb5f846a, "cancel_delayed_work_sync" },
	{ 0x79aa04a2, "get_random_bytes" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6e447cee, "netdev_warn" },
	{ 0x3c2c5af5, "sprintf" },
	{ 0xdcb5671d, "strlen" },
	{ 0x5a34a45c, "__kmalloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x8dd031cb, "mutex_unlock" },
	{ 0xc300d0a8, "rndis_command" },
	{ 0x6067a146, "memcpy" },
	{ 0x3fa03a97, "memset" },
	{ 0x2b4ef725, "mutex_lock" },
	{ 0xd0a83dc2, "usbnet_pause_rx" },
	{ 0xad1be113, "dev_printk" },
	{ 0xdd03b48b, "cfg80211_michael_mic_failure" },
	{ 0xf3133d68, "netdev_info" },
	{ 0x26576139, "queue_work" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x11089ac7, "_ctype" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=rndis_host,usbnet,usbcore,cfg80211";

MODULE_ALIAS("usb:v0411p00BCd*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v0BAFp011Bd*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v050Dp011Bd*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v1799p011Bd*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v13B1p0014d*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v13B1p0026d*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v0B05p1717d*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v0A5CpD11Bd*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v1690p0715d*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v13B1p000Ed*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v0BAFp0111d*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v0411p004Bd*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*icEFisc01ip01*");

MODULE_INFO(srcversion, "92DFDB4CF5284896614EC0D");
