#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0xcc4ee136, "module_layout" },
	{ 0x9efccc2a, "rt2x00mac_tx_frames_pending" },
	{ 0x41aeeb0d, "rt2x00mac_get_ringparam" },
	{ 0x1cc4bd2b, "rt2x00mac_get_antenna" },
	{ 0xa5fec3b5, "rt2x00mac_set_antenna" },
	{ 0x53626ed6, "rt2x00mac_flush" },
	{ 0xeb89034d, "rt2x00mac_rfkill_poll" },
	{ 0x327e9adc, "rt2x00mac_conf_tx" },
	{ 0xdce4c069, "rt2x00mac_get_stats" },
	{ 0xf74008f0, "rt2x00mac_sw_scan_complete" },
	{ 0x88ac41a2, "rt2x00mac_sw_scan_start" },
	{ 0x6cd33365, "rt2x00mac_set_key" },
	{ 0x456d8db5, "rt2x00mac_set_tim" },
	{ 0x29a89ba3, "rt2x00mac_configure_filter" },
	{ 0xb6dc49e6, "rt2x00mac_bss_info_changed" },
	{ 0x8b8fdba9, "rt2x00mac_config" },
	{ 0x67fbba64, "rt2x00mac_remove_interface" },
	{ 0xfd989f99, "rt2x00mac_add_interface" },
	{ 0xeb35af1a, "rt2x00mac_stop" },
	{ 0x7205ca95, "rt2x00mac_start" },
	{ 0xb1e34e6e, "rt2x00mac_tx" },
	{ 0x92136639, "rt2x00usb_flush_queue" },
	{ 0xa7d26bb2, "rt2x00usb_kick_queue" },
	{ 0x75bcbe83, "rt2x00usb_watchdog" },
	{ 0xde14660b, "rt2x00usb_clear_entry" },
	{ 0x4ec7a5b8, "rt2x00usb_uninitialize" },
	{ 0x4aa19ac9, "rt2x00usb_initialize" },
	{ 0xb16cf28c, "rt2x00usb_resume" },
	{ 0x4963bc, "rt2x00usb_suspend" },
	{ 0x6b28e2d5, "rt2x00usb_disconnect" },
	{ 0xb78c61e8, "param_ops_bool" },
	{ 0x501bc29d, "usb_register_driver" },
	{ 0x5a34a45c, "__kmalloc" },
	{ 0x79aa04a2, "get_random_bytes" },
	{ 0x1d597cc0, "rt2x00usb_disable_radio" },
	{ 0xf9a482f9, "msleep" },
	{ 0xb903d9f2, "rt2x00usb_vendor_request" },
	{ 0xaf444093, "consume_skb" },
	{ 0x9a3ee92a, "usb_submit_urb" },
	{ 0x3fa03a97, "memset" },
	{ 0x97aa0c55, "skb_push" },
	{ 0x379089ed, "skb_trim" },
	{ 0x6067a146, "memcpy" },
	{ 0x8c41f3f, "rt2x00usb_vendor_request_buff" },
	{ 0x8dd031cb, "mutex_unlock" },
	{ 0x2b4ef725, "mutex_lock" },
	{ 0x200d26de, "printk" },
	{ 0xa39b4cf2, "udelay" },
	{ 0xda1af398, "rt2x00usb_vendor_req_buff_lock" },
	{ 0x7b60b8d9, "rt2x00usb_probe" },
	{ 0xa6433a4c, "usb_deregister" },
	{ 0x594e1317, "__modsi3" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=rt2x00lib,rt2x00usb,usbcore";

MODULE_ALIAS("usb:v0B05p1706d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B05p1707d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v050Dp7050d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v050Dp7051d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v13B1p000Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v13B1p0011d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v13B1p001Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v14B2p3C02d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2001p3C00d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1044p8001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1044p8007d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06F8pE000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p005Ed*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p0066d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p0067d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p008Bd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p0097d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DB0p6861d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DB0p6865d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DB0p6869d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v148Fp1706d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v148Fp2570d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v148Fp9020d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v079Bp004Bd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0681p3C06d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0707pEE13d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v114Bp0110d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0769p11F3d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0EB0p9020d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0F88p3012d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v5A57p0260d*dc*dsc*dp*ic*isc*ip*");

MODULE_INFO(srcversion, "99EC34190756E32DB70C445");
