#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0xcc4ee136, "module_layout" },
	{ 0xdea23cac, "usb_serial_disconnect" },
	{ 0x327e32bd, "usb_serial_probe" },
	{ 0xb78c61e8, "param_ops_bool" },
	{ 0x501bc29d, "usb_register_driver" },
	{ 0xa45853f2, "usb_serial_register" },
	{ 0x7d11c268, "jiffies" },
	{ 0xf34e784f, "dev_set_drvdata" },
	{ 0x8d21bfc9, "_dev_info" },
	{ 0xdc11ad3a, "usb_string" },
	{ 0xa837499c, "release_firmware" },
	{ 0xe71e8b0a, "request_firmware" },
	{ 0x35684b03, "dev_warn" },
	{ 0x8b3d7805, "usb_control_msg" },
	{ 0xfc6e8775, "__init_waitqueue_head" },
	{ 0x7b1100b1, "usb_kill_urb" },
	{ 0xa44fffc1, "schedule" },
	{ 0xe526f136, "__copy_user" },
	{ 0xbc3d21af, "finish_wait" },
	{ 0xd62c833f, "schedule_timeout" },
	{ 0x69ff5332, "prepare_to_wait" },
	{ 0xc8b57c27, "autoremove_wake_function" },
	{ 0xfae8cd75, "tty_encode_baud_rate" },
	{ 0x409873e3, "tty_termios_baud_rate" },
	{ 0xe593db7e, "tty_get_baud_rate" },
	{ 0xe8679178, "__divdi3" },
	{ 0x2598224c, "kmem_cache_alloc" },
	{ 0xf97f40b7, "malloc_sizes" },
	{ 0xa2375cf4, "usb_free_urb" },
	{ 0xcf67fa10, "usb_alloc_urb" },
	{  0xf1338, "__wake_up" },
	{ 0x3479b15d, "tty_flip_buffer_push" },
	{ 0x1c70a38, "tty_insert_flip_string_fixed_flag" },
	{ 0xc4097c34, "_raw_spin_lock" },
	{ 0x32fea406, "dev_get_drvdata" },
	{ 0x6959611c, "tty_wakeup" },
	{ 0xbd89e5c7, "tty_kref_put" },
	{ 0xba39e735, "tty_port_tty_get" },
	{ 0xad1be113, "dev_printk" },
	{ 0x8c01fd5, "dev_err" },
	{ 0x9a3ee92a, "usb_submit_urb" },
	{ 0x6067a146, "memcpy" },
	{ 0x5a34a45c, "__kmalloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x8ddab831, "_raw_spin_unlock_irqrestore" },
	{ 0x1a9b678e, "_raw_spin_lock_irqsave" },
	{ 0x200d26de, "printk" },
	{ 0xaaab78ae, "usb_serial_deregister" },
	{ 0xa6433a4c, "usb_deregister" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbserial,usbcore";

MODULE_ALIAS("usb:v1608p0001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0003d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0004d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p1403d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0005d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0006d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0007d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p000Cd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p000Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p000Ed*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p000Fd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0010d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0011d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0012d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p001Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0019d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0013d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0014d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0018d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0404p0202d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0404p0203d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0404p0310d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0404p0311d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0404p0312d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05D9pA758d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05D9pA794d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05D9pA225d*dc*dsc*dp*ic*isc*ip*");

MODULE_INFO(srcversion, "2CB4FB4E90C38FBFABA3B84");
