#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0xcc4ee136, "module_layout" },
	{ 0xc3dc493, "usb_serial_suspend" },
	{ 0xdea23cac, "usb_serial_disconnect" },
	{ 0x327e32bd, "usb_serial_probe" },
	{ 0xb78c61e8, "param_ops_bool" },
	{ 0x501bc29d, "usb_register_driver" },
	{ 0xa45853f2, "usb_serial_register" },
	{ 0xcc830377, "usb_set_interface" },
	{ 0xfc6e8775, "__init_waitqueue_head" },
	{ 0x2598224c, "kmem_cache_alloc" },
	{ 0xf97f40b7, "malloc_sizes" },
	{ 0xf34e784f, "dev_set_drvdata" },
	{ 0xe270ac5e, "usb_kill_anchored_urbs" },
	{ 0x3479b15d, "tty_flip_buffer_push" },
	{ 0x1c70a38, "tty_insert_flip_string_fixed_flag" },
	{ 0x47385412, "usb_clear_halt" },
	{ 0x8512e872, "usb_autopm_get_interface_no_resume" },
	{ 0x7b1100b1, "usb_kill_urb" },
	{ 0xd9e81142, "usb_get_from_anchor" },
	{ 0xe551272c, "_raw_spin_lock_irq" },
	{ 0xc98a4f1e, "usb_serial_port_softint" },
	{ 0xc4097c34, "_raw_spin_lock" },
	{ 0x200d26de, "printk" },
	{ 0x78faa945, "usb_autopm_put_interface_async" },
	{ 0x73311098, "usb_unanchor_urb" },
	{ 0xac0d050f, "usb_anchor_urb" },
	{ 0x6067a146, "memcpy" },
	{ 0xf4ceb36a, "usb_autopm_get_interface_async" },
	{ 0x5a34a45c, "__kmalloc" },
	{ 0xcf67fa10, "usb_alloc_urb" },
	{ 0xa2375cf4, "usb_free_urb" },
	{ 0x37a0cba, "kfree" },
	{ 0x8ddab831, "_raw_spin_unlock_irqrestore" },
	{ 0x1a9b678e, "_raw_spin_lock_irqsave" },
	{ 0x30e74134, "tty_termios_copy_hw" },
	{ 0x8dd031cb, "mutex_unlock" },
	{ 0x2b4ef725, "mutex_lock" },
	{ 0xab1fe390, "usb_autopm_put_interface" },
	{ 0x8b3d7805, "usb_control_msg" },
	{ 0x9656e879, "usb_autopm_get_interface" },
	{ 0x1b5c2223, "usb_serial_resume" },
	{ 0x8c01fd5, "dev_err" },
	{ 0x9a3ee92a, "usb_submit_urb" },
	{ 0x7d11c268, "jiffies" },
	{ 0xbd89e5c7, "tty_kref_put" },
	{ 0xc3686e1e, "tty_hangup" },
	{ 0xba39e735, "tty_port_tty_get" },
	{ 0x32fea406, "dev_get_drvdata" },
	{ 0xad1be113, "dev_printk" },
	{ 0xaaab78ae, "usb_serial_deregister" },
	{ 0xa6433a4c, "usb_deregister" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbserial,usbcore";

MODULE_ALIAS("usb:v0F3Dp0112d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v03F0p1B1Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v03F0p211Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v03F0p1E1Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p0017d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p0018d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p0218d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p0020d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p0220d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p0022d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p0024d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p0224d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p0019d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p0021d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p0112d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p0120d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p0301d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p0023d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v1199p0025d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v1199p0026d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p0027d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p0028d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p0029d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6802d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6803d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6804d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6805d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6808d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6809d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6812d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6813d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6815d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6816d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6820d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6821d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6822d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6832d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6833d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6834d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6835d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6838d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6839d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p683Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p683Bd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p683Cd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p683Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p683Ed*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6850d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6851d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6852d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6853d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6855d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6856d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6859d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p685Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6880d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v1199p6890d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v1199p6891d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v1199p6892d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v1199p6893d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p68A2d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p68A3d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0F3Dp68AAd*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v0F3Dp68A3d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v413Cp8133d*dc*dsc*dp*ic*isc*ip*");

MODULE_INFO(srcversion, "A253BA718A94C739AD50E09");
