#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0xcc4ee136, "module_layout" },
	{ 0x8436f8e3, "param_ops_ushort" },
	{ 0xdea23cac, "usb_serial_disconnect" },
	{ 0x327e32bd, "usb_serial_probe" },
	{ 0xb78c61e8, "param_ops_bool" },
	{ 0x3ec8886f, "param_ops_int" },
	{ 0xf59f197, "param_array_ops" },
	{ 0x501bc29d, "usb_register_driver" },
	{ 0xa45853f2, "usb_serial_register" },
	{ 0x5b2f5e3b, "usb_reset_device" },
	{ 0x5567ca8a, "usb_driver_set_configuration" },
	{ 0xf34e784f, "dev_set_drvdata" },
	{ 0x9831e9e4, "__kfifo_alloc" },
	{ 0xfc6e8775, "__init_waitqueue_head" },
	{ 0x7482d1f3, "__mutex_init" },
	{ 0xa837499c, "release_firmware" },
	{ 0xcc4d8dad, "usb_bulk_msg" },
	{ 0x3fa03a97, "memset" },
	{ 0x6067a146, "memcpy" },
	{ 0xe71e8b0a, "request_firmware" },
	{ 0x3c2c5af5, "sprintf" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x47385412, "usb_clear_halt" },
	{ 0xb9b1da4f, "mutex_lock_interruptible" },
	{ 0x7b1100b1, "usb_kill_urb" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x9a9a80bf, "interruptible_sleep_on" },
	{ 0xe526f136, "__copy_user" },
	{ 0xfae8cd75, "tty_encode_baud_rate" },
	{ 0xe593db7e, "tty_get_baud_rate" },
	{ 0x211331fa, "__divsi3" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x8dd031cb, "mutex_unlock" },
	{ 0x2b4ef725, "mutex_lock" },
	{ 0x7d11c268, "jiffies" },
	{ 0xb4d6939, "remove_wait_queue" },
	{ 0xd62c833f, "schedule_timeout" },
	{ 0x78a33819, "add_wait_queue" },
	{ 0xffd5a395, "default_wake_function" },
	{ 0xe551272c, "_raw_spin_lock_irq" },
	{ 0x37a0cba, "kfree" },
	{ 0x8b3d7805, "usb_control_msg" },
	{ 0x2598224c, "kmem_cache_alloc" },
	{ 0xf97f40b7, "malloc_sizes" },
	{ 0x32fea406, "dev_get_drvdata" },
	{ 0x1c70a38, "tty_insert_flip_string_fixed_flag" },
	{ 0x3479b15d, "tty_flip_buffer_push" },
	{ 0xc4097c34, "_raw_spin_lock" },
	{ 0xad1be113, "dev_printk" },
	{ 0x200d26de, "printk" },
	{  0xf1338, "__wake_up" },
	{ 0x6959611c, "tty_wakeup" },
	{ 0x8c01fd5, "dev_err" },
	{ 0x9a3ee92a, "usb_submit_urb" },
	{ 0xbd89e5c7, "tty_kref_put" },
	{ 0x8ddab831, "_raw_spin_unlock_irqrestore" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x1a9b678e, "_raw_spin_lock_irqsave" },
	{ 0xba39e735, "tty_port_tty_get" },
	{ 0xaaab78ae, "usb_serial_deregister" },
	{ 0xa6433a4c, "usb_deregister" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbserial,usbcore";

MODULE_ALIAS("usb:v0451p3410d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0451pF430d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06E0pF108d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06E0pF109d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06E0pF110d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06E0pF111d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06E0pF112d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06E0pF114d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06E0pF115d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06E0p0319d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0451p5052d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0451p5152d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0451p505Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0451p505Fd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v04B3p4543d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v04B3p454Bd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v04B3p454Cd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1A61p3410d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0451p5053d*dc*dsc*dp*ic*isc*ip*");

MODULE_INFO(srcversion, "F83CEA788CBC9E12E370144");
