#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0xcc4ee136, "module_layout" },
	{ 0x21d424dc, "tpm_store_cancel" },
	{ 0xb9b3ffb2, "tpm_show_caps_1_2" },
	{ 0x7f64cf4d, "tpm_show_temp_deactivated" },
	{ 0x59bd58c5, "tpm_show_owned" },
	{ 0x8bb8752f, "tpm_show_active" },
	{ 0x7ab83efd, "tpm_show_enabled" },
	{ 0x80644556, "tpm_show_pcrs" },
	{ 0x851da2d9, "tpm_show_pubek" },
	{ 0x4beca59e, "tpm_release" },
	{ 0x71dbba9c, "tpm_open" },
	{ 0xf2603937, "tpm_write" },
	{ 0x38e647, "tpm_read" },
	{ 0x9c6235af, "no_llseek" },
	{ 0x810b3618, "param_ops_string" },
	{ 0xb78c61e8, "param_ops_bool" },
	{ 0xd636d937, "pnp_register_driver" },
	{ 0xcf8a54eb, "platform_device_register_resndata" },
	{ 0x28dc5ab0, "platform_driver_register" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x93dfc48c, "pnpacpi_protocol" },
	{ 0xdf813456, "pnp_get_resource" },
	{ 0x9282cb3a, "tpm_gen_interrupt" },
	{ 0xad1be113, "dev_printk" },
	{ 0x8fe79805, "tpm_get_timeouts" },
	{ 0x2072ee9b, "request_threaded_irq" },
	{ 0xfc6e8775, "__init_waitqueue_head" },
	{ 0x8d21bfc9, "_dev_info" },
	{ 0x3bd1b1f6, "msecs_to_jiffies" },
	{ 0x454fb519, "ioremap" },
	{ 0x1e636f22, "tpm_register_hardware" },
	{ 0xf3d381ab, "pnp_unregister_driver" },
	{ 0xf20dabd8, "free_irq" },
	{ 0x103d2881, "platform_driver_unregister" },
	{ 0xdd6a1a73, "platform_device_unregister" },
	{ 0xedc03953, "iounmap" },
	{ 0x4d9a110f, "tpm_remove_hardware" },
	{ 0xc4097c34, "_raw_spin_lock" },
	{  0xf1338, "__wake_up" },
	{ 0x8c01fd5, "dev_err" },
	{ 0x26817230, "tpm_calc_ordinal_duration" },
	{ 0xd62c833f, "schedule_timeout" },
	{ 0x69ff5332, "prepare_to_wait" },
	{ 0xc8b57c27, "autoremove_wake_function" },
	{ 0xbc3d21af, "finish_wait" },
	{ 0xf9a482f9, "msleep" },
	{ 0x7d11c268, "jiffies" },
	{ 0x727c4f3, "iowrite8" },
	{ 0xf10de535, "ioread8" },
	{ 0x37a0cba, "kfree" },
	{ 0x575525f, "tpm_dev_vendor_release" },
	{ 0x1418bd88, "tpm_continue_selftest" },
	{ 0x32fea406, "dev_get_drvdata" },
	{ 0x90f8adf5, "tpm_pm_suspend" },
	{ 0x7aa50940, "tpm_pm_resume" },
	{ 0x436c2179, "iowrite32" },
	{ 0xe484e35f, "ioread32" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=tpm";

MODULE_ALIAS("pnp:dPNP0C31*");
MODULE_ALIAS("acpi*:PNP0C31:*");
MODULE_ALIAS("pnp:dATM1200*");
MODULE_ALIAS("acpi*:ATM1200:*");
MODULE_ALIAS("pnp:dIFX0102*");
MODULE_ALIAS("acpi*:IFX0102:*");
MODULE_ALIAS("pnp:dBCM0101*");
MODULE_ALIAS("acpi*:BCM0101:*");
MODULE_ALIAS("pnp:dBCM0102*");
MODULE_ALIAS("acpi*:BCM0102:*");
MODULE_ALIAS("pnp:dNSC1200*");
MODULE_ALIAS("acpi*:NSC1200:*");
MODULE_ALIAS("pnp:dICO0102*");
MODULE_ALIAS("acpi*:ICO0102:*");
MODULE_ALIAS("pnp:d*");
MODULE_ALIAS("acpi*::*");

MODULE_INFO(srcversion, "8A477037C6D80C7A3C04F6E");
