#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0xcc4ee136, "module_layout" },
	{ 0xb78c61e8, "param_ops_bool" },
	{ 0x501bc29d, "usb_register_driver" },
	{ 0x6067a146, "memcpy" },
	{ 0x573d81ed, "input_event" },
	{ 0xc2c01562, "input_free_device" },
	{ 0x7f699ccd, "input_register_device" },
	{ 0x9edbecae, "snprintf" },
	{ 0xb11fa1ce, "strlcat" },
	{ 0x672144bd, "strlcpy" },
	{ 0x5a34a45c, "__kmalloc" },
	{ 0x8f13da9b, "usb_alloc_coherent" },
	{ 0x684f9335, "input_allocate_device" },
	{ 0xcf67fa10, "usb_alloc_urb" },
	{ 0x8b7fe311, "kmemdup" },
	{ 0xc499ae1e, "kstrdup" },
	{ 0x3fa03a97, "memset" },
	{ 0xcc4d8dad, "usb_bulk_msg" },
	{ 0x2598224c, "kmem_cache_alloc" },
	{ 0xf97f40b7, "malloc_sizes" },
	{ 0xf9a482f9, "msleep" },
	{ 0x8b3d7805, "usb_control_msg" },
	{ 0x6e7ec01f, "input_set_abs_params" },
	{ 0x200d26de, "printk" },
	{ 0x7d11c268, "jiffies" },
	{ 0xab1fe390, "usb_autopm_put_interface" },
	{ 0x9656e879, "usb_autopm_get_interface" },
	{ 0xba144373, "usb_free_coherent" },
	{ 0x22e2da0f, "input_unregister_device" },
	{ 0xf34e784f, "dev_set_drvdata" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2375cf4, "usb_free_urb" },
	{ 0x7b1100b1, "usb_kill_urb" },
	{ 0x9a3ee92a, "usb_submit_urb" },
	{ 0x8dd031cb, "mutex_unlock" },
	{ 0x2b4ef725, "mutex_lock" },
	{ 0x32fea406, "dev_get_drvdata" },
	{ 0xa6433a4c, "usb_deregister" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbcore";

MODULE_ALIAS("usb:v0EEFp0001d*dc*dsc*dp*ic03isc*ip02*");
MODULE_ALIAS("usb:v0EEFp0002d*dc*dsc*dp*ic03isc*ip02*");
MODULE_ALIAS("usb:v3823p0001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v3823p0002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0123p0001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0EEFp0001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0EEFp0002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1234p0001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1234p0002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v134Cp0001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v134Cp0002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v134Cp0003d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v134Cp0004d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0596p0001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pF9E9d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v16E3pF9E9d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1234p5678d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0637p0001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0AFAp03E8d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v595Ap0001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v6615p0001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1391p1000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DFCp0001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v08F2p007Fd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v08F2p00CEd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v08F2p00F4d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0F92p0001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1AC7p0001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v14C8p0003d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0664p0309d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0664p0306d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v10F0p2002d*dc*dsc*dp*ic0Aisc00ip00*");
MODULE_ALIAS("usb:v1870p0001d*dc*dsc*dp*ic0Aisc00ip00*");

MODULE_INFO(srcversion, "80F8C9C61A148820DBBAA6A");
