#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0xcc4ee136, "module_layout" },
	{ 0x6b8ea6cb, "video_ioctl2" },
	{ 0x3ec8886f, "param_ops_int" },
	{ 0x501bc29d, "usb_register_driver" },
	{ 0x8ddab831, "_raw_spin_unlock_irqrestore" },
	{  0xf1338, "__wake_up" },
	{ 0xe1af491f, "videobuf_to_vmalloc" },
	{ 0x1d2e87c6, "do_gettimeofday" },
	{ 0x1a9b678e, "_raw_spin_lock_irqsave" },
	{ 0xe9d9c3e8, "video_device_release" },
	{ 0xb1546ab3, "__video_register_device" },
	{ 0x7482d1f3, "__mutex_init" },
	{ 0x5d316c6c, "video_device_alloc" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x2598224c, "kmem_cache_alloc" },
	{ 0xf97f40b7, "malloc_sizes" },
	{ 0x9a3ee92a, "usb_submit_urb" },
	{ 0xcf67fa10, "usb_alloc_urb" },
	{ 0x98e43658, "videobuf_read_one" },
	{ 0x6f8fade6, "videobuf_poll_stream" },
	{ 0xae97a899, "videobuf_mmap_mapper" },
	{ 0xc542dd6d, "videobuf_iolock" },
	{ 0x50661e47, "videobuf_vmalloc_free" },
	{ 0x45871ab8, "videobuf_queue_vmalloc_init" },
	{ 0x672144bd, "strlcpy" },
	{ 0xe914e41e, "strcpy" },
	{ 0xa39b4cf2, "udelay" },
	{ 0xd16b8c86, "videobuf_queue_is_busy" },
	{ 0x7947c0f9, "videobuf_reqbufs" },
	{ 0x1749efe0, "videobuf_querybuf" },
	{ 0x22868abf, "videobuf_qbuf" },
	{ 0xbc1f9d04, "videobuf_dqbuf" },
	{ 0x2ce22138, "videobuf_streamon" },
	{ 0x52e6ec3f, "videobuf_streamoff" },
	{ 0x8c01fd5, "dev_err" },
	{ 0x8b3d7805, "usb_control_msg" },
	{ 0x6067a146, "memcpy" },
	{ 0x5a34a45c, "__kmalloc" },
	{ 0xf2b7b522, "video_devdata" },
	{ 0x8d21bfc9, "_dev_info" },
	{ 0xf34e784f, "dev_set_drvdata" },
	{ 0x659a7d4b, "videobuf_mmap_free" },
	{ 0x32fea406, "dev_get_drvdata" },
	{ 0x37a0cba, "kfree" },
	{ 0x999e8297, "vfree" },
	{ 0xa2375cf4, "usb_free_urb" },
	{ 0x7b1100b1, "usb_kill_urb" },
	{ 0x7041a4ac, "video_unregister_device" },
	{ 0x8dd031cb, "mutex_unlock" },
	{ 0x2b4ef725, "mutex_lock" },
	{ 0xa6433a4c, "usb_deregister" },
	{ 0x200d26de, "printk" },
	{ 0xfb7d9c45, "__udivsi3" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=videodev,usbcore,videobuf-vmalloc,videobuf-core";

MODULE_ALIAS("usb:v08CAp0109d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v041Ep4024d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0D64p0108d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0546p3187d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0D64p3108d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0595p4343d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0BB0p500Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0FEBp2004d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v055FpB500d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v08CAp2062d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v052Bp1A18d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v04C8p0729d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v04F2pA208d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0784p0040d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06D6p0034d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0A17p0062d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06D6p003Bd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0A17p004Ed*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v041Ep405Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v08CAp2102d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06D6p003Dd*dc*dsc*dp*ic*isc*ip*");

MODULE_INFO(srcversion, "98299773CE5C501094AD563");
