#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0xcc4ee136, "module_layout" },
	{ 0xbf88d571, "eth_change_mtu" },
	{ 0x1003a337, "eth_validate_addr" },
	{ 0x8dfe730, "eth_mac_addr" },
	{ 0x501bc29d, "usb_register_driver" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x93fca811, "__get_free_pages" },
	{ 0x5de19597, "register_netdev" },
	{ 0xfb0e29f, "init_timer_key" },
	{ 0x8f13da9b, "usb_alloc_coherent" },
	{ 0xc7ec28b0, "memcmp" },
	{ 0xa39b4cf2, "udelay" },
	{ 0xd6c2f78f, "usb_reset_configuration" },
	{ 0x6d1e7f6c, "alloc_etherdev_mqs" },
	{ 0xa837499c, "release_firmware" },
	{ 0xe71e8b0a, "request_firmware" },
	{ 0x9ab03fd1, "netif_carrier_off" },
	{ 0x2e896698, "netif_carrier_on" },
	{ 0x9656e879, "usb_autopm_get_interface" },
	{ 0xab1fe390, "usb_autopm_put_interface" },
	{ 0x4da2764, "skb_copy_expand" },
	{ 0x988ee138, "__dev_kfree_skb_irq" },
	{ 0xe551272c, "_raw_spin_lock_irq" },
	{ 0x37a0cba, "kfree" },
	{ 0xcf67fa10, "usb_alloc_urb" },
	{ 0x2598224c, "kmem_cache_alloc" },
	{ 0xf97f40b7, "malloc_sizes" },
	{ 0xbc3d21af, "finish_wait" },
	{ 0xd62c833f, "schedule_timeout" },
	{ 0x69ff5332, "prepare_to_wait" },
	{ 0xc8b57c27, "autoremove_wake_function" },
	{ 0xfc6e8775, "__init_waitqueue_head" },
	{ 0x16305289, "warn_slowpath_null" },
	{ 0x270f0a1c, "__netif_schedule" },
	{ 0x1902adf, "netpoll_trap" },
	{ 0x8b8727d8, "usb_unlink_urb" },
	{ 0x7d11c268, "jiffies" },
	{ 0x35684b03, "dev_warn" },
	{ 0x96f81ee2, "free_netdev" },
	{ 0xba144373, "usb_free_coherent" },
	{ 0xa2375cf4, "usb_free_urb" },
	{ 0xee235a16, "unregister_netdev" },
	{ 0xf34e784f, "dev_set_drvdata" },
	{ 0x8d21bfc9, "_dev_info" },
	{ 0xfb5f846a, "cancel_delayed_work_sync" },
	{ 0x7b1100b1, "usb_kill_urb" },
	{ 0x73f6b522, "netif_rx" },
	{ 0x5f59e9c2, "eth_type_trans" },
	{ 0x7c54b28a, "skb_put" },
	{ 0x6067a146, "memcpy" },
	{ 0xfabcc092, "dev_alloc_skb" },
	{ 0xc4097c34, "_raw_spin_lock" },
	{  0xf1338, "__wake_up" },
	{ 0x8ddab831, "_raw_spin_unlock_irqrestore" },
	{ 0x1a9b678e, "_raw_spin_lock_irqsave" },
	{ 0x32fea406, "dev_get_drvdata" },
	{ 0xf1bea6f1, "schedule_delayed_work" },
	{ 0x200d26de, "printk" },
	{ 0x9a3ee92a, "usb_submit_urb" },
	{ 0xa6433a4c, "usb_deregister" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbcore";

MODULE_ALIAS("usb:v03E8p0008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v04BBp0901d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0506p03E8d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0506p11F8d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0557p2002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0557p4000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0565p0002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0565p0003d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0565p0005d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05E9p0008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05E9p0009d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v066Bp2202d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06E1p0008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06E1p0009d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0707p0100d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07AAp0001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07B8p4000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07C9pB010d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0846p1001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0846p1002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v085Ap0008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v085Ap0009d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v087Dp5704d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0951p0008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v095Ap3003d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v10BDp1427d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1342p0204d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v13D2p0400d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1485p0001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1485p0002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1645p0005d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1645p0008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1645p8005d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1668p0323d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2001p4000d*dc*dsc*dp*ic*isc*ip*");

MODULE_INFO(srcversion, "8E563F5EBB8453A1BC4DFF8");
