#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0xcc4ee136, "module_layout" },
	{ 0xdea23cac, "usb_serial_disconnect" },
	{ 0x327e32bd, "usb_serial_probe" },
	{ 0xb78c61e8, "param_ops_bool" },
	{ 0x3ec8886f, "param_ops_int" },
	{ 0x501bc29d, "usb_register_driver" },
	{ 0xa45853f2, "usb_serial_register" },
	{ 0xf34e784f, "dev_set_drvdata" },
	{ 0x9831e9e4, "__kfifo_alloc" },
	{ 0x7482d1f3, "__mutex_init" },
	{ 0xc7ec28b0, "memcmp" },
	{ 0xcc4d8dad, "usb_bulk_msg" },
	{ 0xa837499c, "release_firmware" },
	{ 0x6067a146, "memcpy" },
	{ 0xe71e8b0a, "request_firmware" },
	{ 0x3fa03a97, "memset" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x199ddf4c, "device_create_file" },
	{ 0x3c2c5af5, "sprintf" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xd5d16af2, "device_remove_file" },
	{ 0x47385412, "usb_clear_halt" },
	{ 0xb9b1da4f, "mutex_lock_interruptible" },
	{ 0xfc6e8775, "__init_waitqueue_head" },
	{ 0x8dd031cb, "mutex_unlock" },
	{ 0x2b4ef725, "mutex_lock" },
	{ 0x7b1100b1, "usb_kill_urb" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0xe526f136, "__copy_user" },
	{ 0x9a9a80bf, "interruptible_sleep_on" },
	{ 0xfae8cd75, "tty_encode_baud_rate" },
	{ 0xe593db7e, "tty_get_baud_rate" },
	{ 0xe8679178, "__divdi3" },
	{ 0xf9a482f9, "msleep" },
	{ 0xb4d6939, "remove_wait_queue" },
	{ 0x7d11c268, "jiffies" },
	{ 0xd62c833f, "schedule_timeout" },
	{ 0x78a33819, "add_wait_queue" },
	{ 0xffd5a395, "default_wake_function" },
	{ 0x211331fa, "__divsi3" },
	{ 0x37a0cba, "kfree" },
	{ 0x2598224c, "kmem_cache_alloc" },
	{ 0xf97f40b7, "malloc_sizes" },
	{ 0x8b3d7805, "usb_control_msg" },
	{  0xf1338, "__wake_up" },
	{ 0xc4097c34, "_raw_spin_lock" },
	{ 0x3479b15d, "tty_flip_buffer_push" },
	{ 0x1c70a38, "tty_insert_flip_string_fixed_flag" },
	{ 0xbd89e5c7, "tty_kref_put" },
	{ 0xba39e735, "tty_port_tty_get" },
	{ 0xad1be113, "dev_printk" },
	{ 0x8c01fd5, "dev_err" },
	{ 0x6959611c, "tty_wakeup" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x9a3ee92a, "usb_submit_urb" },
	{ 0x8ddab831, "_raw_spin_unlock_irqrestore" },
	{ 0x1a9b678e, "_raw_spin_lock_irqsave" },
	{ 0x32fea406, "dev_get_drvdata" },
	{ 0x200d26de, "printk" },
	{ 0xaaab78ae, "usb_serial_deregister" },
	{ 0xa6433a4c, "usb_deregister" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbserial,usbcore";

MODULE_ALIAS("usb:v1608p0215d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0240d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0241d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0301d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0302d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0303d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0304d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0305d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0306d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0307d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0308d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p030Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0309d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p030Bd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p030Cd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p030Ed*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0205d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p021Bd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0207d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p020Cd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p020Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0217d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0201d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0206d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p021Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p021Cd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p021Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p021Ed*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0242d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0244d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0243d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0212d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0247d*dc*dsc*dp*ic*isc*ip*");

MODULE_INFO(srcversion, "C5DD49AB1C504BAB96C2135");
