#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0xcc4ee136, "module_layout" },
	{ 0x184c6597, "usb_wwan_dtr_rts" },
	{ 0x52ad970b, "usb_wwan_tiocmset" },
	{ 0x8ef0b4eb, "usb_wwan_tiocmget" },
	{ 0x1a3d666a, "usb_wwan_chars_in_buffer" },
	{ 0x4dec7a71, "usb_wwan_set_termios" },
	{ 0x9e180568, "usb_wwan_ioctl" },
	{ 0x7c7059af, "usb_wwan_write_room" },
	{ 0xc6d6c63e, "usb_wwan_write" },
	{ 0x90396fbe, "usb_wwan_close" },
	{ 0x3853d9f1, "usb_wwan_open" },
	{ 0xb4b7dd62, "usb_wwan_resume" },
	{ 0x37008437, "usb_wwan_suspend" },
	{ 0xe027c51b, "usb_wwan_disconnect" },
	{ 0xa9e9d27c, "usb_wwan_startup" },
	{ 0x1b5c2223, "usb_serial_resume" },
	{ 0xc3dc493, "usb_serial_suspend" },
	{ 0xdea23cac, "usb_serial_disconnect" },
	{ 0x327e32bd, "usb_serial_probe" },
	{ 0xb78c61e8, "param_ops_bool" },
	{ 0x501bc29d, "usb_register_driver" },
	{ 0xa45853f2, "usb_serial_register" },
	{ 0xab1fe390, "usb_autopm_put_interface" },
	{ 0x8b3d7805, "usb_control_msg" },
	{ 0x9656e879, "usb_autopm_get_interface" },
	{ 0x2598224c, "kmem_cache_alloc" },
	{ 0xf97f40b7, "malloc_sizes" },
	{ 0xc0a3d105, "find_next_bit" },
	{ 0x37a0cba, "kfree" },
	{ 0x9e1895ec, "usb_wwan_release" },
	{ 0xc3686e1e, "tty_hangup" },
	{ 0x200d26de, "printk" },
	{ 0x9a3ee92a, "usb_submit_urb" },
	{ 0xbd89e5c7, "tty_kref_put" },
	{ 0xba39e735, "tty_port_tty_get" },
	{ 0x32fea406, "dev_get_drvdata" },
	{ 0xaaab78ae, "usb_serial_deregister" },
	{ 0xa6433a4c, "usb_deregister" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usb_wwan,usbserial,usbcore";

MODULE_ALIAS("usb:v0AF0p5000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0AF0p6000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0AF0p6100d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0AF0p6200d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0AF0p6300d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0AF0p6050d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0AF0p6150d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0AF0p6250d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0AF0p6350d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0AF0p6500d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0AF0p6501d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0AF0p6600d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0AF0p6601d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0AF0p6701d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0AF0p6721d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0AF0p6741d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0AF0p6761d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0AF0p6800d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0AF0p6901d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0AF0p7001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0AF0p7021d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0AF0p7041d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0AF0p7061d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0AF0p7100d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0AF0p7201d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0408pEA02d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0408pEA03d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0408pEA04d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0408pEA05d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0408pEA06d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0408pEA42d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v12D1p1C05d*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v12D1p1C1Fd*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v12D1p1C23d*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v12D1p140Cd*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v12D1p1406d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v12D1p1441d*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v12D1p1442d*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v12D1p1464d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v12D1p1465d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v12D1p14ACd*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v12D1p14C6d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc01ip01*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc01ip02*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc01ip03*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc01ip04*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc01ip05*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc01ip06*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc01ip0A*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc01ip0B*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc01ip0D*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc01ip0E*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc01ip0F*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc01ip10*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc01ip12*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc01ip13*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc01ip14*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc01ip15*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc01ip17*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc01ip18*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc01ip19*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc01ip1A*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc01ip1B*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc01ip1C*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc01ip31*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc01ip32*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc01ip33*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc01ip34*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc01ip35*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc01ip36*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc01ip3A*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc01ip3B*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc01ip3D*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc01ip3E*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc01ip3F*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc01ip48*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc01ip49*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc01ip4A*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc01ip4B*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc01ip4C*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc01ip61*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc01ip62*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc01ip63*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc01ip64*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc01ip65*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc01ip66*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc01ip6A*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc01ip6B*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc01ip6D*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc01ip6E*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc01ip6F*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc01ip78*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc01ip79*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc01ip7A*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc01ip7B*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc01ip7C*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc02ip01*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc02ip02*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc02ip03*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc02ip04*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc02ip05*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc02ip06*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc02ip0A*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc02ip0B*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc02ip0D*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc02ip0E*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc02ip0F*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc02ip10*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc02ip12*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc02ip13*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc02ip14*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc02ip15*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc02ip17*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc02ip18*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc02ip19*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc02ip1A*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc02ip1B*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc02ip1C*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc02ip31*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc02ip32*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc02ip33*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc02ip34*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc02ip35*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc02ip36*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc02ip3A*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc02ip3B*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc02ip3D*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc02ip3E*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc02ip3F*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc02ip48*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc02ip49*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc02ip4A*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc02ip4B*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc02ip4C*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc02ip61*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc02ip62*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc02ip63*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc02ip64*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc02ip65*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc02ip66*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc02ip6A*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc02ip6B*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc02ip6D*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc02ip6E*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc02ip6F*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc02ip78*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc02ip79*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc02ip7A*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc02ip7B*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*icFFisc02ip7C*");
MODULE_ALIAS("usb:v1410p1100d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1410p1110d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1410p1120d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1410p1130d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1410p1400d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1410p1410d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1410p1420d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1410p1430d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1410p1450d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1410p2100d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1410p2110d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1410p2120d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1410p2130d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1410p2400d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1410p2410d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1410p2420d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1410p4400d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1410p4100d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1410p6002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1410p6010d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1410p6000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1410p7000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1410p8000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1410p9000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1410p6001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1410p7001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1410p7003d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1410p7004d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1410p7005d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1410p7006d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1410p7007d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1410p7030d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1410p7041d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1410p7042d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1410p8001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1410p9001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1410pA010d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1410pB001d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v1410p9010d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v1614p0800d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1614p7002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1614p0802d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1614p0407d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v413Cp8114d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v413Cp8115d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v413Cp8116d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v413Cp8117d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v413Cp8118d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v413Cp8128d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v413Cp8129d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v413Cp8133d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v413Cp8134d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v413Cp8135d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v413Cp8136d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v413Cp8137d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v413Cp8138d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v413Cp8180d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v413Cp8181d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v413Cp8182d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v413Cp8195d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v413Cp8196d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v413Cp819Bd*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v16D5p6501d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v16D5p6502d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v16D5p6202d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1726p1000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0EABpC893d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1A8Dp1002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1A8Dp1003d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1A8Dp1004d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1A8Dp1005d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1A8Dp1006d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1A8Dp1007d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1A8Dp1008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1A8Dp1009d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1A8Dp100Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1A8Dp100Bd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1A8Dp100Cd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1A8Dp100Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1A8Dp100Ed*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1A8Dp100Fd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1A8Dp1010d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1A8Dp1011d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1A8Dp1012d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0C88p17DAd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0C88p180Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05C6p6000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05C6p6613d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05C6p0023d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05C6p9000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v16D8p6280d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v16D8p6008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1BC7p1003d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1BC7p1004d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1BC7p1005d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1BC7p1006d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1BC7p1010d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1BC7p1200d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v19D2p0001d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0002d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0003d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0004d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0005d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0006d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0008d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0009d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p000Ad*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p000Bd*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p000Cd*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p000Dd*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p000Ed*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p000Fd*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0010d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0011d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0012d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0013d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0015d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0016d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0017d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0018d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0019d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0020d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0021d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0022d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0023d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0024d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0025d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0028d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0029d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0030d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0031d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0032d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0033d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0034d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0037d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0038d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0039d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0040d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0042d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0043d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0044d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0048d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0049d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0050d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0051d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0052d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0054d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0055d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0056d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0057d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0058d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0061d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0062d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0063d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0064d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0065d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0066d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0067d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0069d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0076d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0077d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0078d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0079d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0082d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0083d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0086d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0087d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0088d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0089d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0090d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0091d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0092d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0093d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0094d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0095d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0096d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0097d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0104d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0105d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0106d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0108d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0113d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0117d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0118d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0121d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0122d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0123d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0124d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0125d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0126d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0128d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0135d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0136d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0137d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0139d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0142d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0143d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0144d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0145d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0148d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0151d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0153d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0155d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0156d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0157d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0158d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0159d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0161d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0162d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0164d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0165d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0167d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0189d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0191d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0196d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0197d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0199d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0200d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0201d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0254d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0257d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0265d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0284d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0317d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0326d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0330d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0395d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0412d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0414d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0417d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1008d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1010d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1012d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1018d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1021d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1057d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1058d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1059d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1060d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1061d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1062d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1063d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1064d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1065d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1066d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1067d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1068d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1069d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1070d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1071d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1072d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1073d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1074d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1075d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1076d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1077d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1078d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1079d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1080d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1081d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1082d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1083d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1084d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1085d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1086d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1087d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1088d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1089d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1090d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1091d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1092d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1093d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1094d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1095d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1096d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1097d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1098d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1099d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1100d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1101d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1102d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1103d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1104d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1105d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1106d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1107d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1108d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1109d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1110d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1111d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1112d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1113d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1114d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1115d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1116d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1117d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1118d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1119d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1120d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1121d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1122d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1123d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1124d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1125d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1126d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1127d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1128d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1129d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1130d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1131d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1132d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1133d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1134d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1135d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1136d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1137d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1138d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1139d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1140d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1141d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1142d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1143d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1144d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1145d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1146d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1147d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1148d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1149d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1150d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1151d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1152d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1153d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1154d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1155d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1156d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1157d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1158d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1159d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1160d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1161d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1162d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1163d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1164d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1165d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1166d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1167d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1168d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1169d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1170d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1244d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1245d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1246d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1247d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1248d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1249d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1250d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1251d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1252d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1253d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1254d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1255d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1256d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1257d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1258d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1259d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1260d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1261d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1262d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1263d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1264d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1265d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1266d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1267d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1268d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1269d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1270d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1271d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1272d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1273d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1274d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1275d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1276d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1277d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1278d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1279d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1280d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1281d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1282d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1283d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1284d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1285d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1286d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1287d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1288d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1289d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1290d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1291d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1292d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1293d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1294d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1295d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1296d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1297d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1298d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1299d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1300d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1301d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1302d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1303d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1333d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1401d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1402d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1424d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1425d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p1426d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p2002d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p2003d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0014d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0027d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0059d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0060d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0070d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0073d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0094d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0130d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0133d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0141d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0147d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0152d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0168d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0170d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0176d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p0178d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2pFFFEd*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2pFFF1d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2pFFF5d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2pFFFFd*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2pFFE8d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2pFFEBd*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2pFFEDd*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v19D2p*d*dc*dsc*dp*icFFisc02ip01*");
MODULE_ALIAS("usb:v19D2p*d*dc*dsc*dp*icFFisc02ip05*");
MODULE_ALIAS("usb:v19D2p*d*dc*dsc*dp*icFFisc86ip10*");
MODULE_ALIAS("usb:v04A5p4068d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1186p3E04d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1E0EpCE16d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1E0EpCE1Ed*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1DA5p4512d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1DA5p4523d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1DA5p4515d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1DA5p4518d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1DA5p4519d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0930p0D45d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0930p1302d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1E0Ep9000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1E0Ep9100d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1E0Ep9200d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v1BBBp0000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1BBBp0017d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1BBBp0052d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1BBBp00B6d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1BBBp00B7d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1BBBp011Ed*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1011p3198d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v20B9p1682d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1C9Ep9603d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1C9Ep9607d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v201Ep2009d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1266p1002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1266p1003d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1266p1004d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1266p1005d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1266p1006d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1266p1007d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1266p1008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1266p1009d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1266p100Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1266p100Bd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1266p100Cd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1266p100Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1266p100Ed*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1266p100Fd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1266p1011d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1266p1012d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1E2Dp0051d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1E2Dp0052d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1E2Dp0053d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1E2Dp0055d*dc*dsc*dp*icFFisc*ip*");
MODULE_ALIAS("usb:v1E2Dp0060d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1E2Dp004Cd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1E2Dp004Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0681p0047d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0681p0040d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0681p004Cd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0681p004Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B3CpC000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B3CpC003d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B3CpC005d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v211Fp6801d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v04E8p6889d*dc*dsc*dp*ic0Aisc00ip00*");
MODULE_ALIAS("usb:v257Ap1601d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v257Ap1602d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v257Ap1603d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v257Ap1604d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v257Ap1605d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v257Ap1606d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v257Ap1607d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v257Ap1608d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v257Ap1609d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v257Ap160Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v257Ap160Bd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v257Ap160Cd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v257Ap160Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v257Ap160Fd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v257Ap2601d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v257Ap2602d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v257Ap2603d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v257Ap2604d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v257Ap2605d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v257Ap2606d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v257Ap2607d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v257Ap2608d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v257Ap2609d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v257Ap260Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v257Ap260Bd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v257Ap260Cd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v257Ap260Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v257Ap260Fd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v257Ap3601d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v257Ap3602d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v257Ap3603d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v257Ap3604d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v257Ap3605d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v257Ap3606d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v257Ap3607d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v257Ap3608d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v257Ap3609d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v257Ap360Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v257Ap360Bd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v257Ap360Cd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v257Ap360Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v257Ap360Fd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v257Ap161Fd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v257Ap162Fd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v257Ap260Ed*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v257Ap261Fd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v257Ap262Fd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2262p0002d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v0685p7000d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v1004p618Fd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0E8Dp00A1d*dc*dsc*dp*icFFisc00ip00*");
MODULE_ALIAS("usb:v0E8Dp00A1d*dc*dsc*dp*icFFisc02ip01*");
MODULE_ALIAS("usb:v0E8Dp00A2d*dc*dsc*dp*icFFisc00ip00*");
MODULE_ALIAS("usb:v0E8Dp00A2d*dc*dsc*dp*icFFisc02ip01*");
MODULE_ALIAS("usb:v0E8Dp00A0d*dc*dsc*dp*ic0Aisc00ip00*");
MODULE_ALIAS("usb:v0E8Dp00A4d*dc*dsc*dp*icFFisc02ip01*");
MODULE_ALIAS("usb:v0E8Dp00A4d*dc*dsc*dp*icFFisc00ip00*");
MODULE_ALIAS("usb:v0E8Dp00A5d*dc*dsc*dp*icFFisc02ip01*");
MODULE_ALIAS("usb:v0E8Dp00A5d*dc*dsc*dp*icFFisc00ip00*");
MODULE_ALIAS("usb:v0E8Dp7101d*dc*dsc*dp*ic02isc00ip00*");
MODULE_ALIAS("usb:v0E8Dp7102d*dc*dsc*dp*ic02isc02ip01*");
MODULE_ALIAS("usb:v0E8Dp0003d*dc*dsc*dp*ic0Aisc00ip00*");
MODULE_ALIAS("usb:v0E8Dp0023d*dc*dsc*dp*ic0Aisc00ip00*");
MODULE_ALIAS("usb:v0E8Dp0043d*dc*dsc*dp*ic0Aisc00ip00*");
MODULE_ALIAS("usb:v0E8Dp0033d*dc*dsc*dp*ic0Aisc00ip00*");
MODULE_ALIAS("usb:v0E8Dp7103d*dc*dsc*dp*icFFisc00ip00*");
MODULE_ALIAS("usb:v0E8Dp7106d*dc*dsc*dp*ic02isc02ip01*");
MODULE_ALIAS("usb:v0E8Dp00A7d*dc*dsc*dp*icFFisc02ip01*");
MODULE_ALIAS("usb:v0E8Dp00A7d*dc*dsc*dp*icFFisc00ip00*");
MODULE_ALIAS("usb:v2692p9005d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1FF4p600Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1FF4p600Ed*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2357p0201d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2357p9000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2077p7001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2001p7D01d*dc*dsc*dp*icFFisc02ip01*");
MODULE_ALIAS("usb:v2001p7D01d*dc*dsc*dp*icFFisc00ip00*");
MODULE_ALIAS("usb:v2001p7D02d*dc*dsc*dp*icFFisc02ip01*");
MODULE_ALIAS("usb:v2001p7D02d*dc*dsc*dp*icFFisc00ip00*");
MODULE_ALIAS("usb:v2001p7D03d*dc*dsc*dp*icFFisc02ip01*");
MODULE_ALIAS("usb:v2001p7D03d*dc*dsc*dp*icFFisc00ip00*");
MODULE_ALIAS("usb:v07D1p3E01d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v07D1p3E02d*dc*dsc*dp*icFFiscFFipFF*");

MODULE_INFO(srcversion, "5AA04032FA1D4E68BEB5633");
